#target photoshop

//far.jsx



//Generated Fri Feb 27 2015 04:30:02 GMT+0200


cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };


//==================== Far ==============

$._ext_far={
		run : function Far() {
			// Make
			function step1(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putClass(cTID('AdjL'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				var desc3 = new ActionDescriptor();
				desc3.putEnumerated(sTID("presetKind"), sTID("presetKindType"), sTID("presetKindDefault"));
				desc2.putObject(cTID('Type'), cTID('Crvs'), desc3);
				desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Set
			function step2(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('AdjL'), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putEnumerated(sTID("presetKind"), sTID("presetKindType"), sTID("presetKindCustom"));
				var list1 = new ActionList();
				var desc3 = new ActionDescriptor();
				var ref2 = new ActionReference();
				ref2.putEnumerated(cTID('Chnl'), cTID('Chnl'), cTID('Cmps'));
				desc3.putReference(cTID('Chnl'), ref2);
				var list2 = new ActionList();
				var desc4 = new ActionDescriptor();
				desc4.putDouble(cTID('Hrzn'), 35);
				desc4.putDouble(cTID('Vrtc'), 0);
				list2.putObject(cTID('Pnt '), desc4);
				var desc5 = new ActionDescriptor();
				desc5.putDouble(cTID('Hrzn'), 145);
				desc5.putDouble(cTID('Vrtc'), 108);
				list2.putObject(cTID('Pnt '), desc5);
				var desc6 = new ActionDescriptor();
				desc6.putDouble(cTID('Hrzn'), 220);
				desc6.putDouble(cTID('Vrtc'), 255);
				list2.putObject(cTID('Pnt '), desc6);
				desc3.putList(cTID('Crv '), list2);
				list1.putObject(cTID('CrvA'), desc3);
				desc2.putList(cTID('Adjs'), list1);
				desc1.putObject(cTID('T   '), cTID('Crvs'), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Select
			function step3(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), sTID("RGB"));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step4(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putString(cTID('Nm  '), "Koyulaştırıcı I");
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Make
			function step5(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putClass(cTID('AdjL'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				var desc3 = new ActionDescriptor();
				desc3.putEnumerated(sTID("presetKind"), sTID("presetKindType"), sTID("presetKindDefault"));
				desc3.putInteger(cTID('Rd  '), 40);
				desc3.putInteger(cTID('Yllw'), 60);
				desc3.putInteger(cTID('Grn '), 40);
				desc3.putInteger(cTID('Cyn '), 60);
				desc3.putInteger(cTID('Bl  '), 20);
				desc3.putInteger(cTID('Mgnt'), 80);
				desc3.putBoolean(sTID("useTint"), false);
				var desc4 = new ActionDescriptor();
				desc4.putDouble(cTID('Rd  '), 225.000457763672);
				desc4.putDouble(cTID('Grn '), 211.000671386719);
				desc4.putDouble(cTID('Bl  '), 179.001159667969);
				desc3.putObject(sTID("tintColor"), sTID("RGBColor"), desc4);
				desc2.putObject(cTID('Type'), cTID('BanW'), desc3);
				desc1.putObject(cTID('Usng'), cTID('AdjL'), desc2);
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Set
			function step6(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putEnumerated(cTID('Md  '), cTID('BlnM'), cTID('Mltp'));
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Set
			function step7(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putUnitDouble(cTID('Opct'), cTID('#Prc'), 75);
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Select
			function step8(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), sTID("RGB"));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step9(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putString(cTID('Nm  '), "Koyulaştırıcı II");
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Select
			function step10(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putName(cTID('Lyr '), "Koyulaştırıcı I");
				desc1.putReference(cTID('null'), ref1);
				desc1.putEnumerated(sTID("selectionModifier"), sTID("selectionModifierType"), sTID("addToSelectionContinuous"));
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Make
			function step11(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putClass(sTID("layerSection"));
				desc1.putReference(cTID('null'), ref1);
				var ref2 = new ActionReference();
				ref2.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('From'), ref2);
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Make
			function step12(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				desc1.putClass(cTID('Nw  '), cTID('Chnl'));
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), cTID('Msk '));
				desc1.putReference(cTID('At  '), ref1);
				desc1.putEnumerated(cTID('Usng'), cTID('UsrM'), cTID('HdAl'));
				executeAction(cTID('Mk  '), desc1, dialogMode);
			};

			// Select
			function step13(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), sTID("RGB"));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step14(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putString(cTID('Nm  '), "Far");
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Select
			function step15(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Chnl'), cTID('Chnl'), cTID('Msk '));
				desc1.putReference(cTID('null'), ref1);
				desc1.putBoolean(cTID('MkVs'), false);
				executeAction(cTID('slct'), desc1, dialogMode);
			};

			// Set
			function step16(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
				desc1.putReference(cTID('null'), ref1);
				var desc2 = new ActionDescriptor();
				desc2.putUnitDouble(cTID('Opct'), cTID('#Prc'), 75);
				desc1.putObject(cTID('T   '), cTID('Lyr '), desc2);
				executeAction(cTID('setd'), desc1, dialogMode);
			};

			// Reset
			function step17(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				var ref1 = new ActionReference();
				ref1.putProperty(cTID('Clr '), cTID('Clrs'));
				desc1.putReference(cTID('null'), ref1);
				executeAction(cTID('Rset'), desc1, dialogMode);
			};

			// Stop
			function step18(enabled, withDialog) {
				if (enabled != undefined && !enabled)
					return;
				var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
				var desc1 = new ActionDescriptor();
				desc1.putString(cTID('Msge'), "Gozlerin, kasa kadar olan ust bolumlerini firca ile boyayiniz. Gozun altina da ince bir cizgi olarak uygulayabilirsiniz. Fircanizin sertlik/hardness degeri ''0'' olmali.");
				executeAction(cTID('Stop'), desc1, dialogMode);
			};

			step1();      // Make
			step2();      // Set
			step3();      // Select
			step4();      // Set
			step5();      // Make
			step6();      // Set
			step7();      // Set
			step8();      // Select
			step9();      // Set
			step10();      // Select
			step11();      // Make
			step12();      // Make
			step13();      // Select
			step14();      // Set
			step15();      // Select
			step16();      // Set
			step17();      // Reset
			step18(true, true);      // Stop
		},
};



//=========================================
//Far.main
//=========================================


//Far.main = function () {
//Far();
//};

//Far.main();

////EOF

//"far.jsx"
//EOF
